# Class Utility

java.lang.Object
de.javawi.jstun.util.Utility

public class Utility extends Object

## Constructor Summary

Constructors
Constructor
Description
`Utility()`

## Method Summary

Modifier and Type
Method
Description
`static final long`
`fourBytesToLong(byte[] value)`
`static final byte[]`
`integerToFourBytes(int value)`
`static final byte`
`integerToOneByte(int value)`
`static final byte[]`
`integerToTwoBytes(int value)`
`static final int`
`oneByteToInteger(byte value)`
`static final int`
`twoBytesToInteger(byte[] value)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Utility

public Utility()

## Method Details

### integerToOneByte

public static final byte integerToOneByte(int value) throws UtilityException

Throws:
  `UtilityException`

### integerToTwoBytes

public static final byte[] integerToTwoBytes(int value) throws UtilityException

Throws:
  `UtilityException`

### integerToFourBytes

public static final byte[] integerToFourBytes(int value) throws UtilityException

Throws:
  `UtilityException`

### oneByteToInteger

public static final int oneByteToInteger(byte value) throws UtilityException

Throws:
  `UtilityException`

### twoBytesToInteger

public static final int twoBytesToInteger(byte[] value) throws UtilityException

Throws:
  `UtilityException`

### fourBytesToLong

public static final long fourBytesToLong(byte[] value) throws UtilityException

Throws:
  `UtilityException`